Bug 176188 - [maintainer-update] net-mgmt/nagios: Update to Nagios 3.4.4
[maintainer-update] net-mgmt/nagios: Update to Nagios 3.4.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-16 11:10 UTC by jarrod
Modified: 2013-02-16 16:00 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-3.4.4.diff (7.39 KB, patch)
2013-02-16 11:10 UTC, jarrod
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2013-02-16 11:10:00 UTC
Update to Nagios 3.4.4

Modified files:
- ports/net-mgmt/nagios/Makefile
- ports/net-mgmt/nagios/distinfo
- ports/net-mgmt/nagios/files/patch-html-main.php

Removed files:
- ports/net-mgmt/nagios/files/patch-CVE-2012-6096

Fix: Patch can be downloaded from:
http://www.downtools.com.au/~jarrod/FreeBSD/net-mgmt-nagios-3.4.4.diff
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-16 14:59:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-02-16 15:50:18 UTC
Author: rm
Date: Sat Feb 16 15:50:01 2013
New Revision: 312368
URL: http://svnweb.freebsd.org/changeset/ports/312368

Log:
  - update to 3.4.4
  - remove patch, applied upstream
  
  changelog:
  http://www.nagios.org/projects/nagioscore/history/core-3x
  
  PR:		176188
  Submitted by:	Jarrod Sayers <jarrod@downtools.com.au> (maintainer)

Deleted:
  head/net-mgmt/nagios/files/patch-CVE-2012-6096
Modified:
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/nagios/distinfo
  head/net-mgmt/nagios/files/patch-html-main.php

Modified: head/net-mgmt/nagios/Makefile
==============================================================================
--- head/net-mgmt/nagios/Makefile	Sat Feb 16 15:48:53 2013	(r312367)
+++ head/net-mgmt/nagios/Makefile	Sat Feb 16 15:50:01 2013	(r312368)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nagios
-PORTVERSION=	3.4.3
-PORTREVISION=	1
+PORTVERSION=	3.4.4
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-3.x/${PORTNAME}-${PORTVERSION}
 

Modified: head/net-mgmt/nagios/distinfo
==============================================================================
--- head/net-mgmt/nagios/distinfo	Sat Feb 16 15:48:53 2013	(r312367)
+++ head/net-mgmt/nagios/distinfo	Sat Feb 16 15:50:01 2013	(r312368)
@@ -1,2 +1,2 @@
-SHA256 (nagios-3.4.3.tar.gz) = 2d5c0cc56bafb08a71840a6efa349afc1eebb2761fea0d403e1b929e7c801b10
-SIZE (nagios-3.4.3.tar.gz) = 1784746
+SHA256 (nagios-3.4.4.tar.gz) = cf6c4c82c4d8dd42e5daae92c20682574f001f03d062600327372c8274fc338e
+SIZE (nagios-3.4.4.tar.gz) = 1786507

Modified: head/net-mgmt/nagios/files/patch-html-main.php
==============================================================================
--- head/net-mgmt/nagios/files/patch-html-main.php	Sat Feb 16 15:48:53 2013	(r312367)
+++ head/net-mgmt/nagios/files/patch-html-main.php	Sat Feb 16 15:50:01 2013	(r312368)
@@ -1,10 +1,10 @@
---- html/main.php.orig	2012-12-01 03:28:25.000000000 +1030
-+++ html/main.php	2012-12-28 14:23:47.000000000 +1030
+--- html/main.php.orig	2013-01-12 23:51:46.000000000 +1030
++++ html/main.php	2013-02-16 18:15:16.000000000 +1030
 @@ -40,35 +40,10 @@
  <div class="product">Nagios<sup><span style="font-size: small;">&reg;</span></sup> Core<sup><span style="font-size: small;">&trade;</span></sup></div>
- <div class="version">Version 3.4.3</div>
- <div class="releasedate">November 30, 2012</div>
--<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.4.3&product=nagioscore" target="_blank">Check for updates</a></div>
+ <div class="version">Version 3.4.4</div>
+ <div class="releasedate">January 12, 2013</div>
+-<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.4.4&product=nagioscore" target="_blank">Check for updates</a></div>
  <!--<div class="whatsnew"><a href="http://go.nagios.com/nagioscore/whatsnew">Read what's new in Nagios Core 3</a></div>-->
  </div>
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-02-16 15:51:16 UTC
State Changed
From-To: open->closed

Committed, thank you!